# [ffmprovisr](http://amiaopensource.github.io/ffmprovisr)

Repository of useful FFmpeg command lines for archivists! [AMIA hackday](http://wiki.curatecamp.org/index.php/Association_of_Moving_Image_Archivists_%26_Digital_Library_Federation_Hack_Day_2015) edition.

## What is this?

Project Objective: To facilitate better understanding of FFmpeg through collaborative sharing of useful scripts and detailed flag-level description of how each script works so archivists can copy-paste and produce their own scripts but also understand how and why they work.

## How do I see it?

Code stuff in the gh-pages branch (the default primary branch). Readme is right here. The site is live and lives on github pages. You can see it [here](http://amiaopensource.github.io/ffmprovisr).

## How do I contribute?

You are welcome to edit the codebase yourself or just supply the information and ask it to be added to the site.

To contribute to this project directly (and more quickly), clone this repository and create a new branch (`git checkout -b your-branch-name`) and add or modify a new block in index.html. Then submit a pull request and someone can review and integrate your code. There is a commented-out sample available at the bottom of index.html that can be used to build your own block.

If you are having trouble with the coding it yourself or with github, feel free to [submit an issue](https://github.com/amiaopensource/ffmprovisr/issues) with the kind of command you would like to see added to the site.

If you want to help but don't have a new script to add, you can help us by testing out the scripts available, by refining or clarifying the documentation, or [creating an issue](https://github.com/amiaopensource/ffmprovisr/issues) for anything that sounds confusing and requires clarification.

## License

<a rel="license" href="http://creativecommons.org/licenses/by/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by/4.0/80x15.png" /></a><br />This <span xmlns:dct="http://purl.org/dc/terms/" href="http://purl.org/dc/dcmitype/InteractiveResource" rel="dct:type">work</span> by <a xmlns:cc="http://creativecommons.org/ns#" href="http://amiaopensource.github.io/ffmprovisr/" property="cc:attributionName" rel="cc:attributionURL">ffmprovisr</a> is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0 International License</a>.<br />Based on a work at <a xmlns:dct="http://purl.org/dc/terms/" href="https://github.com/amiaopensource/ffmprovisr" rel="dct:source">https://github.com/amiaopensource/ffmprovisr</a>.

## Code of Conduct

You can read our contributor code of conduct [here](https://github.com/amiaopensource/ffmprovisr/blob/gh-pages/code_of_conduct.md).

## Contributors
* Gathered using [octohatrack](https://github.com/LABHR/octohatrack)

GitHub Contributors:  
ablwr (Ashley)  
dericed (Dave Rice)  
edsu (Ed Summers)  
jfarbowitz (Jonathan Farbowitz)  
kfrn (Katherine Frances Nagels)  
kgrons (Kathryn Gronsbell)  
kieranjol (Kieran O'Leary)  
llogan (Lou)  
privatezero (Andrew Weaver)  
retokromer (Reto Kromer)  
rfraimow  

All Contributors:  
ablwr (Ashley)  
audiovisualopen  
brainwane (Sumana Harihareswara)  
dericed (Dave Rice)  
edsu (Ed Summers)  
Fizz24  
jamessam (Jim)  
jfarbowitz (Jonathan Farbowitz)  
jronallo (Jason Ronallo)  
kfrn (Katherine Frances Nagels)  
kgrons (Kathryn Gronsbell)  
kieranjol (Kieran O'Leary)  
llogan (Lou)  
mulvya  
privatezero (Andrew Weaver)  
retokromer (Reto Kromer)  
rfraimow  
todrobbins (Tod Robbins)  

Repo: amiaopensource/ffmprovisr  
GitHub Contributors: 11  
All Contributors: 18  

## AVHack Team:

[Ashley Blewer](https://github.com/ablwr), Eddy Colloton, Rebecca Dillmeier, [Jonathan Farbowitz](https://github.com/jfarbowitz), Rebecca Fraimow, Samuel Gutterman, Kelly Haydon, [Reto Kromer](https://github.com/retokromer), Nicole Martin, [Katherine Frances Nagels](https://github.com/kfrn), [Kieran O'Leary](https://github.com/kieranjol), Catriona Schlosser, Ben Turkus

## Sister projects

[Script Ahoy](http://dd388.github.io/crals/): Community Resource for Archivists and Librarians Scripting  
[sourcecaster](https://datapraxis.github.io/sourcecaster/): helps you use the command line to work through common challenges that come up when working with digital primary sources.
